Управление версиями устанавливаемых обновлений.

Рейтинг: 1.4278  
На голосовании
Предложил Соболев Александр 30.08.2017 14:35:35

Управление версиями устанавливаемых обновлений.

Не хватает возможности выбирать до какой версии обновлять платформу и модули.
Для чего это надо? Типовой сценарий: прежде чем  обновлять бой, надо обновить тестовую копию и тщательно её тестировать. К сожалению, так называемые стабильные обновления битрикса вовсе таковыми не являются, а пользователи битрикса - это армия бесплатных тестеров. Поэтому тщательное тестирование обновлений может занять некоторое время, потому что после обновлений иногда обнаруживается необходимость доработок и т.д. Пока проходит тестирование и наступает готовность обновить бой, выпускаются новые "стабильне" обновления битрикса с исправленными ошибками предыдущего "стабильного" обновления :-), а обновить бой только до проверенных версий обновлений возможности нет, приходится снова обновлять тест и снова проверять.
Наличие возможности выбирать для платформы и для каждого модуля, версию до которой надо обновиться позволило бы устанавливать только действительно стабильные проверенные обновления.